Главная / apple / macbook / Спасайте свои Mac от уязвимости похлеще Flashback, отключайте Java

Спасайте свои Mac от уязвимости похлеще Flashback, отключайте Java

В Java 7 была обнаружена совершенно дикая уязвимость, которую сейчас активно изучают как специалисты по безопасности, так и разные энтузиасты, включая хакеров. Об этом рассказал Тод Бердсли (Tod Beardsley), разработчик известного фреймворка с открытым исходным кодом —Metasploit, используемого для обнаружения и тестирования такого рода уязвимостей. Его слова подтвердил технический директор Errata Security,Дэвид Мэйнор (David Maynor). Менее чем через 24 часа после обнаружения этой уязвимости был создан эксплойт с помощью того самого фреймворка Metasploit, и по своей опасности для компьютеров пользователей, включая Mac, он приравнивается к недавно бушевавшему Flashback, а то и превосходит его.

Этот эксплойт работает в OS X, если вы используете 1.7 JRE [Java Runtime Environment] Дэвид Мэйнор, CTO Errata Security

JRE 1.7 включает последнюю версию Java 7, она же Update 6, выпущенная ранее в этом месяце. Мэйнор смог успешно задействовать эксплойт в OS X 10.8 Mountain Lion, причем как в веб-браузере Firefox 14, так и в Safari 6.

Уязвимость относится к наиболее опасным среди такого рода эксплойтов, так как для ее использования достаточно посетить зараженный сайт, после чего злоумышленник может получить контроль над компьютером пользователя, а тот ничего и не заметит. По данным источника, сейчас эта уязвимость активно изучается и развивается всякими криминальными элементами для использования в среде Windows, но ничто не мешает им задействовать ее и против пользователей Mac. Кстати, в Linux эта электронная зараза функциональна тоже.

Стоит отметить, что в этом году для атаки OS X в основном использовались Java-аплеты. Flashback именно на таком и был построен. Для обезвреживания заразы потребуется, во-первых, обновить Java, чего Oracle пока не сделала, слишком новая уязвимость, во-вторых, выполнить некие действия в системе для ее очистки, если вирусы на базе рассматриваемого ПО все-таки появятся.

В данном случае особо уязвимыми оказались пользователи OS X 10.5 Leopard и OS X 10.6 Snow Leopard, так как эти операционные системы изначально поставляются с установленной Java-машиной. OS X 10.7 и 10.8 не содержат данный программный компонент в комплекте, и если Java понадобится, то пользователю необходимо установить библиотеку самостоятельно. Далеко не все это делают, а без JRE эксплойт не работает.

На данный момент специалисты рекомендуют отключить Java в браузере или же вообще удалить библиотеку из системы (для этого надо перейти в «/Library (Библиотека)/Java/JavaVirtualMachines/» и перетащить файл «1.7.0.jdk» в корзину). Когда Oracle уберет уязвимость из Java, тогда можно вернуться к использованию данного продукта. В противном случае высока вероятность занести в Mac какую-нибудь электронную заразу, хоть конкретных вирусов пока еще и не обнаружено. [ComputerWorld iphones]